summaryrefslogtreecommitdiff
path: root/dev-python/boto3
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-21 03:04:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-21 03:04:37 -0500
commit805088e14f2164ec415b97288657da8492869f97 (patch)
tree88ee58152921ddf6bef7248fce98099789b33d14 /dev-python/boto3
parent72e61757ad18b354c7e086543f02375857946e03 (diff)
downloadbaldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.tar.gz
baldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.tar.xz
baldeagleos-repo-805088e14f2164ec415b97288657da8492869f97.zip
Adding metadata
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.43.52.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b42ea858835e..7f4b2a8bd9e9 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -7,3 +7,4 @@ DIST boto3-1.43.48.gh.tar.gz 1182113 BLAKE2B 8485ed17dc4abb15648962d35264738d274
DIST boto3-1.43.49.gh.tar.gz 1182698 BLAKE2B 09ac6916c3fbe2ebc41406e833adc8b13f67f69dfc61f0e278f232b0a4112132eb165d8e0f0776a115c3a7b2b08d4ac1685fed661ba991c1f8d13ca3626a5f69 SHA512 6d73dec98849899c5892c8b8e545e38e433ee35c1af98ddf3f9250d4a607daf5d917f97ee7ed3cc54b831e569a46476adad4ac4cbaf68a89971fb2a4408be202
DIST boto3-1.43.50.gh.tar.gz 1183546 BLAKE2B 72bcdda319a094b12642abc9b3dc98887043d295b0d4ff1ad7dce3442336ee2bf8a0528a0fe311d66cbb3f6712e33cbcca787b9510cde120c54424fe838533c6 SHA512 40e3b787563d5f9226a62bd0a2aef6802f084401319744b0e9b27a69b039aaabfb6a9bcc3ec53bf56b3e0e8449a7332b9da9fcf9da48b033fa20d0db3565fd5a
DIST boto3-1.43.51.gh.tar.gz 1184372 BLAKE2B d89d6ee90f2e758dd88b2aa9ea70d836c2e26669fda3246ddaf55c9c01d74848d76ac5d555f345103e371f90c2ad6f904cd369c9c546608ff26decc4a2f9dd7e SHA512 08a300db1e3bf4725cb95aa7e5fa451998e8467ef76bd1fed059c05c7ef7c6005321481460a6e3e5154117e876ef7a579cda5a2ebc12ba3dfc33bcae998e127f
+DIST boto3-1.43.52.gh.tar.gz 1187251 BLAKE2B 5ee087e5cddac442b2008b564c1d2d1b07986a85db461303d9044a93243169aab9e195885be8065d76c41888d3c5b766ca5304177a3960cae46633f02645cdcb SHA512 66e4e0f07636a3148a8ec28e83bcd82e5328b7e0664c3b4153eac375bbc90ae528c026c8d187b4551b35ea04bbeafaf923bcacae44b99760767153729ce6c279
diff --git a/dev-python/boto3/boto3-1.43.52.ebuild b/dev-python/boto3/boto3-1.43.52.ebuild
new file mode 100644
index 000000000000..93fbbe6dd59b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.52.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.19.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}